ARMA
           ARMA Net           製品とサポート           通信販売           会社概要           求人情報       
ARMA 3.0

ARMA 3.0 マニュアル

プレインストール PC

個人・小規模サイト
向けサポート
(パッケージ付属)


よくいただくお問い
合わせについて


対応ハードウェア情報

法人向け各種サービス

OSA-2005-36
 
 
1 サマリ
 
 
対象システム
ARMA2.0,ARMA2.1,ARMA2.2
パッケージ
kdelibs-ogl
概要
リモートから任意コード実行の可能性
危険度
2
 
 
 
2 詳細
 
 KDE のライブラリである kdelibs パッケージに画像の読み込みに関する脆弱性が指摘されています。悪意をもって細工をされた PCX, TIFF 形式の画像ファイルをアプリケーションが読み込んだ場合に kdelibs を経由して任意のコードを実行される可能性があります。
 詳細は以下の URL をご参照下さい。
 
 
KDE Security Advisory: kimgio input validation errors
 
「CAN-2005-1046」 Common Vulnerabilities and Exposures
 
 
 ARMA 2.2 では 3.1.1-1o1001 で、ARMA 2.1 では 3.0.5a-0woody2o901 でそれぞれ対処をおこなっています。
 
 
3 対処方法
 
 以下のコマンドを root 権限で実行しパッケージのアップデートをおこなって下さい。
 
 
# apt-get update
# apt-get install kdelibs 
 

COPYRIGHT (C)2018, オモイカネ株式会社 (Omoikane Inc.)
E-mail: info@omoikane.co.jp